### Function

# GLib Date new_dmy

#### Declaration

    GDate*
    g_date_new_dmy (
      GDateDay day,
      GDateMonth month,
      GDateYear year
    )

#### Description

Create a new `GDate` representing the given day-month-year triplet.

The triplet you pass in must represent a valid date. Use `g_date_valid_dmy()` if needed to validate it. The returned `GDate` is guaranteed to be non-`NULL` and valid.

#### Parameters

`day`

  Type: `GDateDay`

  Day of the month.

`month`

  Type: `GDateMonth`

  Month of the year.

`year`

  Type: `GDateYear`

  Year.

#### Return value

Type: `GDate`

A newly-allocated `GDate` initialized with `day`, `month`, and `year`.

The caller of the function takes ownership of the data, and is responsible for freeing it.